## Checksum computation for packet payload

- The goal of this implementation was to save the host CPU cycles by offloading the CPU intensive checksum computation process to Netronome smartNIC's processor 

- This directory includes the code for without offload as well as offload implementation

**To compile p4 code, RUN:**

    `$ sudo ./command_to_compile_p4_16_to_nffw`
    
**To load p4 code on the Netronome SmartNIC, RUN:**

    `$ sudo ./load_ckh_ip.sh`
    
**To compile the load generator, lg:**

    `$ make`
    
**To RUN the load generator:**

    `$ sudo ./ran <num-threads> <time in secs>`